package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CheckInApplicationFactory
{
    private CheckInApplicationFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("412D7440") ,com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("412D7440") ,com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("412D7440"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.ICheckInApplication)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("412D7440"));
    }
}